[
  {
    "codename": "km25.cluster",
    "name": "k-means (25 random sets, Hartigan-Wong method)",
    "type": "non-hierarchical"
  },
  {
    "codename": "km50hw.cluster",
    "name": "k-means (50 random sets, Hartigan-Wong method)",
    "type": "non-hierarchical"
  },
  {
    "codename": "km50l.cluster",
    "name": "k-means (50 random sets, Lloyd method)",
    "type": "non-hierarchical"
  },
  {
    "codename": "km50m.cluster",
    "name": "k-means (50 random sets, MacQueen method)",
    "type": "non-hierarchical"
  },
  {
    "codename": "kme_eu.cluster",
    "name": "partitioning (Euclidean distance matrix)",
    "type": "non-hierarchical"
  },
  {
    "codename": "kme_mn.cluster",
    "name": "partitioning (Manhattan distance matrix)",
    "type": "non-hierarchical"
  },
  {
    "codename": "haclust",
    "name": "complete linkage (Euclidean distance matrix)",
    "type": "hierarchical"
  },
  {
    "codename": "haclustmin",
    "name": "complete linkage (Minkowski distance matrix)",
    "type": "hierarchical"
  },
  {
    "codename": "haclustbin",
    "name": "complete linkage (asymmetric binary distance matrix)",
    "type": "hierarchical"
  },
  {
    "codename": "haclustman",
    "name": "complete linkage (Manhattan distance matrix)",
    "type": "hierarchical"
  },
  {
    "codename": "haclustmax",
    "name": "complete linkage (\"Supremum norm\" distance matrix)",
    "type": "hierarchical"
  },
  {
    "codename": "haclustcan",
    "name": "complete linkage (Canberra distance matrix)",
    "type": "hierarchical"
  },
  {"codename": "haclustwd2", "name": "Ward2", "type": "hierarchical"},
  {"codename": "haclustsin", "name": "single linkage", "type": "hierarchical"},
  {"codename": "haclustcen", "name": "centroid (UPGMC)", "type": "hierarchical"},
  {"codename": "haclustmed", "name": "median (WPGMC)", "type": "hierarchical"},
  {"codename": "haclustmcq", "name": "McQuitty (WPGMA)", "type": "hierarchical"},
  {
    "codename": "hdclust",
    "name": "DIANA (DIvisive ANAlysis)",
    "type": "hierarchical"
  }
]
